HepMC3 event record library: WeightInfo Struct Reference

HepMC3 event record library

Public Types | Public Member Functions | Static Public Member Functions | Data Fields
WeightInfo Struct Reference

## Detailed Description

The WeightInfo class encodes the description of a given weight present for all events.

Definition at line 1060 of file LHEF.h.

`#include <LHEF.h>`

Inheritance diagram for WeightInfo:
[legend]
Collaboration diagram for WeightInfo:
[legend]

## Public Types
typedef XMLTag::AttributeMap | AttributeMap

## Public Member Functions
| WeightInfo ()
| WeightInfo (const XMLTag &tag)
void | print (std::ostream &file) const
bool | getattr (const std::string &n, double &v, bool erase=true)
bool | getattr (const std::string &n, bool &v, bool erase=true)
bool | getattr (const std::string &n, long &v, bool erase=true)
bool | getattr (const std::string &n, int &v, bool erase=true)
bool | getattr (const std::string &n, std::string &v, bool erase=true)
void | printattrs (std::ostream &file) const
void | closetag (std::ostream &file, const std::string &tag) const

## Static Public Member Functions
static std::string | yes ()

## Data Fields
int | inGroup
bool | isrwgt
std::string | name
double | muf
double | mur
long | pdf
long | pdf2
XMLTag::AttributeMap | attributes
std::string | contents

## Member Typedef Documentation

## ◆ AttributeMap

typedef XMLTag::AttributeMap AttributeMap
| inherited

Convenient typedef.

Definition at line 367 of file LHEF.h.

## Constructor & Destructor Documentation

## ◆ WeightInfo() [1/2]

WeightInfo | ( |  | ) |
| inline

Constructors

Definition at line 1065 of file LHEF.h.

References inGroup, isrwgt, muf, mur, pdf, and pdf2.

## ◆ WeightInfo() [2/2]

WeightInfo | ( | const XMLTag & | tag | ) |
| inline

Construct from the XML tag

Definition at line 1071 of file LHEF.h.

References TagBase::contents, TagBase::getattr(), inGroup, isrwgt, muf, mur, name, pdf, pdf2, and TagBase::TagBase().

## Member Function Documentation

## ◆ closetag()

void closetag | ( | std::ostream & | file,
|  | const std::string & | tag ) const
| inlineinherited

Print out end of tag marker. Print contents if not empty else print simple close tag.

Definition at line 463 of file LHEF.h.

References contents.

## ◆ getattr() [1/5]

bool getattr | ( | const std::string & | n,
|  | bool & | v,
|  | bool | erase = true )
| inlineinherited

Find an attribute named n and set the bool variable v to true if the corresponding value is "yes". Remove the correspondig attribute from the list if found and erase is true.

Returns
  false if no attribute was found.

Definition at line 400 of file LHEF.h.

References attributes.

## ◆ getattr() [2/5]

bool getattr | ( | const std::string & | n,
|  | double & | v,
|  | bool | erase = true )
| inlineinherited

Find an attribute named n and set the double variable v to the corresponding value. Remove the correspondig attribute from the list if found and erase is true.

Returns
  false if no attribute was found.

Definition at line 386 of file LHEF.h.

References attributes.

## ◆ getattr() [3/5]

bool getattr | ( | const std::string & | n,
|  | int & | v,
|  | bool | erase = true )
| inlineinherited

Find an attribute named n and set the long variable v to the corresponding value. Remove the correspondig attribute from the list if found and erase is true.

Returns
  false if no attribute was found.

Definition at line 428 of file LHEF.h.

References attributes.

## ◆ getattr() [4/5]

bool getattr | ( | const std::string & | n,
|  | long & | v,
|  | bool | erase = true )
| inlineinherited

Find an attribute named n and set the long variable v to the corresponding value. Remove the correspondig attribute from the list if found and erase is true.

Returns
  false if no attribute was found.

Definition at line 414 of file LHEF.h.

References attributes.

## ◆ getattr() [5/5]

bool getattr | ( | const std::string & | n,
|  | std::string & | v,
|  | bool | erase = true )
| inlineinherited

Find an attribute named n and set the string variable v to the corresponding value. Remove the correspondig attribute from the list if found and erase is true.

Returns
  false if no attribute was found.

Definition at line 442 of file LHEF.h.

References attributes.

## ◆ print()

void print | ( | std::ostream & | file | ) | const
| inline

Print out an XML tag.

Definition at line 1088 of file LHEF.h.

References TagBase::closetag(), isrwgt, muf, mur, name, LHEF::oattr(), pdf, pdf2, and TagBase::printattrs().

## ◆ printattrs()

void printattrs | ( | std::ostream & | file | ) | const
| inlineinherited

print out ' name="value"' for all unparsed attributes.

Definition at line 453 of file LHEF.h.

References attributes, and LHEF::oattr().

## ◆ yes()

std::string yes | ( |  | ) |
| inlinestaticinherited

Static string token for truth values.

Definition at line 485 of file LHEF.h.

## Field Documentation

## ◆ attributes

XMLTag::AttributeMap attributes
| inherited

The attributes of this tag;

Definition at line 475 of file LHEF.h.

## ◆ contents

std::string contents
| mutableinherited

The contents of this tag.

Definition at line 480 of file LHEF.h.

## ◆ inGroup

int inGroup

If inside a group, this is the index of that group.

Definition at line 1108 of file LHEF.h.

## ◆ isrwgt

bool isrwgt

Is this a weightinfo or an rwgt tag?

Definition at line 1113 of file LHEF.h.

## ◆ muf

double muf

Factor multiplying the nominal factorization scale for this weight.

Definition at line 1123 of file LHEF.h.

## ◆ mur

double mur

Factor multiplying the nominal renormalization scale for this weight.

Definition at line 1128 of file LHEF.h.

## ◆ name

std::string name

The name.

Definition at line 1118 of file LHEF.h.

## ◆ pdf

long pdf

The LHAPDF set relevant for this weight

Definition at line 1133 of file LHEF.h.

## ◆ pdf2

long pdf2

The LHAPDF set for the second beam relevant for this weight if different from pdf.

Definition at line 1139 of file LHEF.h.

The documentation for this struct was generated from the following file:

- LHEF.h